com.hazelcast.jet.server

## Class JetCommandLine

- java.lang.Object
- - com.hazelcast.jet.server.JetCommandLine

- All Implemented Interfaces:
    Runnable

      public class JetCommandLine
      extends Object
      implements Runnable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JetCommandLine.JetVersionProvider`
    `static class` | `JetCommandLine.Verbosity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JetCommandLine(Function<ClientConfig,JetInstance> jetClientFn, PrintStream out, PrintStream err)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel(JetCommandLine.Verbosity verbosity, String name)`
    `void` | `cluster(JetCommandLine.Verbosity verbosity)`
    `void` | `deleteSnapshot(JetCommandLine.Verbosity verbosity, String snapshotName)`
    `void` | `listJobs(JetCommandLine.Verbosity verbosity, boolean listAll)`
    `void` | `listSnapshots(JetCommandLine.Verbosity verbosity, boolean fullJobName)`
    `static void` | `main(String[] args)`
    `void` | `restart(JetCommandLine.Verbosity verbosity, String name)`
    `void` | `resume(JetCommandLine.Verbosity verbosity, String name)`
    `void` | `run()`
    `void` | `saveSnapshot(JetCommandLine.Verbosity verbosity, String jobName, String snapshotName, boolean isTerminal)`
    `void` | `submit(JetCommandLine.Verbosity verbosity, String snapshotName, String name, File file, List<String> params)`
    `void` | `suspend(JetCommandLine.Verbosity verbosity, String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JetCommandLine

          public JetCommandLine(Function<ClientConfig,JetInstance> jetClientFn,
                                PrintStream out,
                                PrintStream err)

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### submit

          public void submit(JetCommandLine.Verbosity verbosity,
                             String snapshotName,
                             String name,
                             File file,
                             List<String> params)
                      throws Exception

      Throws:
        `Exception`

    - #### suspend

          public void suspend(JetCommandLine.Verbosity verbosity,
                              String name)
                       throws IOException

      Throws:
        `IOException`

    - #### cancel

          public void cancel(JetCommandLine.Verbosity verbosity,
                             String name)
                      throws IOException

      Throws:
        `IOException`

    - #### saveSnapshot

          public void saveSnapshot(JetCommandLine.Verbosity verbosity,
                                   String jobName,
                                   String snapshotName,
                                   boolean isTerminal)
                            throws IOException

      Throws:
        `IOException`

    - #### deleteSnapshot

          public void deleteSnapshot(JetCommandLine.Verbosity verbosity,
                                     String snapshotName)
                              throws IOException

      Throws:
        `IOException`

    - #### restart

          public void restart(JetCommandLine.Verbosity verbosity,
                              String name)
                       throws IOException

      Throws:
        `IOException`

    - #### resume

          public void resume(JetCommandLine.Verbosity verbosity,
                             String name)
                      throws IOException

      Throws:
        `IOException`

    - #### listJobs

          public void listJobs(JetCommandLine.Verbosity verbosity,
                               boolean listAll)
                        throws IOException

      Throws:
        `IOException`

    - #### listSnapshots

          public void listSnapshots(JetCommandLine.Verbosity verbosity,
                                    boolean fullJobName)
                             throws IOException

      Throws:
        `IOException`

    - #### cluster

          public void cluster(JetCommandLine.Verbosity verbosity)
                       throws IOException

      Throws:
        `IOException`

Copyright © 2019. All rights reserved.